[contact-form-7 id="24078" title="Feedback EN"]

Featured templates

Should I upgrade my website to Joomla 1.7?

Question: Should I update my Joomla 1.6 site to Joomla 1.7?
Answer:
Absolutely you should. Joomla 1.6 will reach the end of its life in August 2011, just a month away. After that, Joomla 1.6 will have no further security updates, meaning that if a security problem is discovered, it will not be addressed. And that means if your site is hacked due to a 1.6 vulnerability, you will have no recourse to fix the site, other than to move it to 1.7 anyway.

Question: Are my Joomla 1.6 extensions and templates compatible in Joomla 1.7?
Answer:
We have been told that all extensions that are currently 1.6 compatible should not have an issue running in Joomla 1.7. As always, you will want to test this first. We strongly recommend making a copy of your site, upgrading it to 1.7, and testing the entire site thoroughly to make sure it works correctly, including the 3rd party extensions.
Templates should also be compatible between versions.

Question: Should I update my Joomla 1.5 site to Joomla 1.7?
Answer:
As always, the answer is “it depends.” However, if your Joomla 1.5 site is working well, I would not move it yet. Joomla 1.5 will be supported through April 2012. Joomla 2.5 will be released in January 2012, and it is a long-term release, meaning it will be supported for 18 months instead of 6 months.